
From: William Lee Irwin III <wli@holomorphy.com>

 * Ignore errors from tw_setfeature in drivers/scsi/3w-xxxx.c
This fixes Debian BTS #181581.
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=181581

	From: Blars Blarson <blarson@blars.org>
	To: submit@bugs.debian.org
	Subject: kernel-source-2.4.20: 3w-xxxx driver won't configure older 3ware card
	Message-ID: <20030219074855.GA22346@blars.org>

The 3w-xxxx driver has changed so it will no longer configure older 3ware
raid cards.  The attached patch allows it to work with my 3ware card.  (The
source is the same in 2.4.20-5.) (Note: this is an ide controler pretending
it's scsi.)

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/scsi/3w-xxxx.c |    7 -------
 1 files changed, 7 deletions(-)

diff -puN drivers/scsi/3w-xxxx.c~ignore-errors-from-tw_setfeature-in-3w-xxxxc drivers/scsi/3w-xxxx.c
--- 25/drivers/scsi/3w-xxxx.c~ignore-errors-from-tw_setfeature-in-3w-xxxxc	2004-06-13 21:16:40.221314976 -0700
+++ 25-akpm/drivers/scsi/3w-xxxx.c	2004-06-13 21:16:40.227314064 -0700
@@ -1220,13 +1220,6 @@ int tw_findcards(Scsi_Host_Template *tw_
 			error = tw_setup_irq(tw_dev2);
 			if (error) {
 				printk(KERN_WARNING "3w-xxxx: tw_findcards(): Error requesting irq for card %d.\n", j);
-				scsi_unregister(host);
-				release_region((tw_dev->tw_pci_dev->resource[0].start), TW_IO_ADDRESS_RANGE);
-
-				tw_free_device_extension(tw_dev);
-				kfree(tw_dev);
-				numcards--;
-				continue;
 			}
 
 			/* Re-enable interrupts on the card */
_
